Subject: Re: linux-next: manual merge of the tracing tree with the parisc tree

From: Ingo Molnar <[email-masked]>
Date: Wed, 1 Apr 2009 13:19:01 +0200

* Uwe Kleine-König <[email-masked]> wrote:

> Hello Ingo,
> 
> On Wed, Apr 01, 2009 at 01:05:12PM +0200, Ingo Molnar wrote:
> > 
> > * Stephen Rothwell <[email-masked]> wrote:
> > 
> > > Hi all,
> > > 
> > > Today's linux-next merge of the tracing tree got a conflict in
> > > arch/parisc/include/asm/ftrace.h between commit
> > > d75f054a2cf0614ff63d534ff21ca8eaab41e713 ("parisc: add ftrace (function
> > > and graph tracer) functionality") from the parisc tree and commit
> > > c79a61f55773d2519fd0525bf58385f7d20752d3 ("tracing: make CALLER_ADDRx
> > > overwriteable") from the tracing tree.
> > > 
> > > The former adds a non-trivial version of the file, so I used that.
> > 
> > You need to be careful, the two trees likely cannot be combined like 
> > that, ftrace will likely stop working on parisc because you combine 
> > old-parisc with new-ftrace.
> > 
> > If the two trees are integrated without forward-porting the parisc 
> > ftrace port to the new facilities, then it's safer to do a trivial 
> > patch that disables the ftrace bits on parisc.
>
> I'm not sure that they really conflict.  My change ("tracing: make 
> CALLER_ADDRx overwriteable") only created the empty include file 
> that I can unconditionally include <asm/ftrace.h>.

I know, that commit is not a problem. It just exposed the problem 
that these trees got combined in linux-next.

	Ingo